var period,timeout,startime,num,speedup;
var para = 'F5004';
$(document).ready(function () {
    $("#wrap").click(function () {
        $("#wrap").slideDown("slow");
    })
    $('#wrap').trigger("click");
    $("#wrap").removeClass("slidout");
    $("#wrap").addClass("actives");
    setTimeout(()=>{
        $("#wrap").removeClass("actives");
    },1000);
    $("#wrap").mousedown(function (e) {
        if (e.target.nodeName != "UL") {
            CallNativeMethod('move_window', '');
        }
    });
});
if (typeof CallNativeMethod == "undefined") {
    window.CallNativeMethod = function () {
        try {
            console.dir(arguments);
        } catch (e) {
        }
    }
}

window.onload = function() {
    //超时关闭页面
    timeout = 30;
}

//弹窗点击
$('.speed_btn').click(function (event) {
    $("#wrap").addClass("animat");
    setTimeout(()=>{
        $("#wrap").removeClass("animat");
    },1000);
    CallNativeMethod('start_pc_manager', '--source=popwindow  --pcmsourcetab=speed  --pcmtabname=home --pcmtabpage=home/index --pcmtabparam=DeviceinfoAccel --pcmtabtimer=1');
    var bitwindow = '{ "category": "click", "action": "F5002", "data": [] }';
    CallNativeMethod('report_big_data', bitwindow);
    CallNativeMethod('close_window', '');
    clearTimeout(mover);  
    event.stopPropagation();
});

//关闭页面
$('.btn_close').click(function (event) {
    // console.log("关闭页面");
    $("#wrap").addClass("slidout");
    var close = '{ "category": "click", "action": "F5005", "data": [] }';
    CallNativeMethod('report_big_data', close);
    CallNativeMethod('close_window', '');
    event.stopPropagation();
});
//设置
$('.btn_set').click(function (event) {
    CallNativeMethod('start_pc_manager', '--source=popwindow  --pcmsourcetab=speedsetting  --pcmtabname= --pcmtabtype=Service --pcmtabpage=setting');
    var set = '{ "category": "click", "action": "F5012", "data": [{ "key": "name", "value": "open_speed" }] }';
    CallNativeMethod('report_big_data', set);
    event.stopPropagation();
});

//交互DOM
var obj;

function JsMethodForNative(method_name, method_params) {
    if (method_name == 'set_data') { // 初始化
        obj = JSON.parse(method_params);
        showout();
        // console.log(obj,typeof(obj.OptimizeTime),"开机弹窗数据");
        //上报大数据使用
        startime = obj.StartTime;
        num = obj.OptimizeNum;
        if (Math.ceil(obj.OptimizeTime*obj.StartTime/obj.StandardTime)>= startime/2) {
            speedup = startime/2;
        }else{
            speedup = Math.ceil(obj.OptimizeTime*obj.StartTime/obj.StandardTime);
        }
        let min,sec,title,titleinfo;
        var popUp = '{ "category": "show", "action": "F5001", "data": [{ "key": "start_time", "value": "'+startime+'" },{ "key": "num", "value": "'+num+'" },{ "key": "speedup", "value": "'+speedup+'" }] }';
        CallNativeMethod('report_big_data', popUp);
        //开机时间显示逻辑
        if (Number(obj.StartTime) >=60) {
            min = parseInt(obj.StartTime/60);
            sec = (obj.StartTime)%60;
        }else{
            sec = obj.StartTime;
        }
        // console.log(min,"分",sec,"秒");
        if (min && min>0) {
            if (sec && sec>0) {
                title = " "+min+" 分 "+sec+" 秒";
            }else{
                title = " "+min+" 分 ";
            }
        }else{
            title = " "+sec+" 秒 ";
        }
        // console.log(title,"开机时间");
        //底部文案显示逻辑
        if (Number(obj.OptimizeNum)>0) {
            titleinfo = "发现 "+obj.OptimizeNum+" 个 建议加速项";
            let minup,secup;
            if (Number(speedup) >=60) {
                minup = parseInt(speedup/60);
                secup = (speedup)%60;
            }else{
                secup = speedup;
            }
            if (speedup>0) {
                if (minup && minup>0) {
                    titleinfo +="，可提速约 "+minup+" 分 ";
                    if (secup>0) {
                        titleinfo+=secup +" 秒"
                    }
                }else{
                    titleinfo +="，可提速约 "+secup+" 秒"
                }
            }
        }else{
            if (Number(obj.StartTime) >obj.SlowTime) {
                titleinfo = "开机速度有点慢哦，查看启动项"
            }
            if (Number(obj.StartTime) <=obj.FastTime){
                titleinfo = "开机速度很快哦，查看启动项"
            }
        }
        // console.log(titleinfo,"建议文案");
        $("#message").append(
            " <div> " +
                " <p class='center_title'>本次开机用时" + title + "</p>" +
                " <p class='center_f_title'>" + titleinfo + "</p>" +
            " </div> "
        )
    }
    return obj;
};