
var bigdataval, callapp, prams, nameval;
$(document).ready(function () {
    var player = new SVGA.Player('#animated_canvas');
    var parser = new SVGA.Parser('#animated_canvas');
    parser.load('../../assets/Img/mess_okm.svga', function (videoItem) {
        player.setVideoItem(videoItem);
        player.startAnimation();
        $('#wrap')[0].style.display = 'block';
        $("#wrap").click(function () {
            $("#wrap").slideDown("slow");
        })
        $('#wrap').trigger("click");
        $("#wrap").removeClass("slidout");
        $("#wrap").addClass("actives");
        setTimeout(() => {
            $("#wrap").removeClass("actives");
        }, 1000);
        $("#wrap").mousedown(function (e) {
            if (e.target.nodeName != "UL") {
                CallNativeMethod('move_window', '');
            }
        });
    })
});
if (typeof CallNativeMethod == "undefined") {
    window.CallNativeMethod = function () {
        try {
            console.dir(arguments);
        } catch (e) {
        }
    }
}

window.onload = function () {}

//弹窗点击
$('.content').click(function (event) {
    var ruanApp = {};
    ruanApp.path = callapp;
    ruanApp.commandline = prams;
    var para = JSON.stringify(ruanApp);
    pcmCallNativeMethod('NEWPLUGIN_WRAPPLUGIN_STARTPPCMAPP', para);
    var bitwindow = '{ "category": "click", "action": "AP0002", "data": [{ "key": "id", "value": "' + bigdataval + '" },{ "key": "name", "value": "' + nameval + '" }] }';
    CallNativeMethod('report_big_data', bitwindow);
    CallNativeMethod('close_window', '');
    clearTimeout(mover);
    event.stopPropagation();
});

//关闭页面
$('.btn_close').click(function (event) {
    // console.log("关闭页面");
    $("#wrap").addClass("slidout");
    var close = '{ "category": "click", "action": "AP0004", "data": [{ "key": "id", "value": "' + bigdataval + '" },{ "key": "name", "value": "' + nameval + '" }] }';
    CallNativeMethod('report_big_data', close);
    CallNativeMethod('close_window', '');
    event.stopPropagation();
});
//设置
$('.btn_set').click(function (event) {
    $("#wrap").addClass("slidout");
    CallNativeMethod('start_pc_manager', '--source=popwindow  --pcmsourcetab=customize_setting  --pcmtabname= --pcmtabtype=Service --pcmtabpage=setting');
    var set = '{ "category": "click", "action": "AP0003", "data": [{ "key": "id", "value": "' + bigdataval + '" },{ "key": "name", "value": "' + nameval + '" }] }';
    CallNativeMethod('report_big_data', set);
    CallNativeMethod('close_window', '');
    event.stopPropagation();
});

//交互DOM
var obj;

function JsMethodForNative(method_name, method_params) {
    if (method_name == 'set_data') {
        obj = JSON.parse(method_params);
        // obj.msg_title = '新用户推荐功能：一键换机';
        // obj.msg_content = '一键迁移旧电脑的数据，微信聊天记录';
        bigdataval = obj.msg_id;
        callapp = 'LenovoPcManager.exe'
        prams = '--pcmsubprocess=LenovoOKM --source=popwindow'
        nameval = obj.msg_title;
        //上报大数据使用
        var popUp = '{ "category": "show", "action": "AP0001", "data": [{ "key": "id", "value": "' + bigdataval + '" },{ "key": "name", "value": "' + obj.msg_title + '" }] }';
        CallNativeMethod('report_big_data', popUp);
        $('.title_text')[0].innerText = obj.msg_title;
        $('.info_text')[0].innerText = obj.msg_content;
    }
    return obj;
};