var period,timeout,startime,num,speedup;
// var para = 'F5004';
var closeBigdata,setValue,setPrams,showBigdata,clickBigdata,clickPrams,commonPrams;
$(document).ready(function () {
    $("#wrap").click(function () {
        $("#wrap").slideDown("slow");
    })
    $('#wrap').trigger("click");
    $("#wrap").removeClass("slidout");
    $("#wrap").addClass("actives");
    setTimeout(()=>{
        $("#wrap").removeClass("actives");
    },1000);
    $("#wrap").mousedown(function (e) {
        if (e.target.nodeName != "UL") {
            CallNativeMethod('move_window', '');
        }
    });
});
if (typeof CallNativeMethod == "undefined") {
    window.CallNativeMethod = function () {
        try {
            console.dir(arguments);
        } catch (e) {
        }
    }
}

window.onload = function() {
    
}

//弹窗点击
$('.speed_btn').click(function (event) {
    $("#wrap").addClass("animat");
    setTimeout(()=>{
        $("#wrap").removeClass("animat");
    },1000);
    CallNativeMethod('start_pc_manager', clickPrams);
    var bitwindow = '{ "category": "click", "action": "'+clickBigdata+'", "data": '+JSON.stringify(commonPrams)+' }';
    CallNativeMethod('report_big_data', bitwindow);
    CallNativeMethod('close_window', '');
    event.stopPropagation();
});

//设置
$('.btn_set').click(function (event) {
    $("#wrap").addClass("slidout");
    CallNativeMethod('start_pc_manager', setPrams);
    var set = '{ "category": "click", "action": "F5012", "data": [{ "key": "tabname", "value": "'+setValue+'" }] }';
    CallNativeMethod('report_big_data', set);
    CallNativeMethod('close_window', '');
    event.stopPropagation();
});

//关闭页面
$('.btn_close').click(function (event) {
    $("#wrap").addClass("slidout");
    var close = '{ "category": "click", "action": "'+closeBigdata+'", "data": '+JSON.stringify(commonPrams)+' }';
    CallNativeMethod('report_big_data', close);
    CallNativeMethod('close_window', '');
    event.stopPropagation();
});

//交互DOM
var obj;

function JsMethodForNative(method_name, method_params) {
    if (method_name == 'set_data') { // 初始化
        obj = Object.keys(JSON.parse(method_params));
        console.log("弹窗数据：",obj,JSON.parse(method_params));
        commonPrams = [];
        //超时关闭页面
        timeout = JSON.parse(method_params).hangingtime || 30;
        showout();
        let index = obj.findIndex((item)=>{
            return item =='memoryusagerate' || item =='batterylevel' || item =='cputhermal' || item=='diskspacefree'; 
        })
        let newindex = obj.findIndex((item)=>{
            return item =='content'; 
        })
        let title = '';
        let subtitle = '';
        if (obj[index] == 'memoryusagerate') {
            if (newindex>=0) {
                title = JSON.parse(method_params).title;
                subtitle = JSON.parse(method_params).content;
            } else {
                title = '当前电脑内存使用率达到 '+Object.values(JSON.parse(method_params))[0]+' %';
                subtitle = '快来释放内存给电脑提提速吧';
                
            }
            showBigdata = 'OA5203'
            clickBigdata = 'OA5204';
            clickPrams = '--source=popwindow --pcmsourcetab=memory --pcmtabname=home --pcmtabpage=home/index --pcmtabparam=DeviceinfoMemory --pcmtabtimer=1';
            setValue = 'memory';
            setPrams = '--source=popwindow --pcmsourcetab=memory_setting --pcmtabname= --pcmtabtype=Service --pcmtabpage=setting';
            closeBigdata = 'OA5205';
        }
        if (obj[index] == 'batterylevel') {
            title = '当前电池电量低于 '+JSON.parse(method_params).batterylevel+' %';
            subtitle = '快来看看应用耗电排行';
            showBigdata = 'OA5307'
            clickBigdata = 'OA5308';
            clickPrams = '--source=popwindow --pcmsourcetab=battery --pcmtabname=home --pcmtabpage=home/index --pcmtabparam=DeviceinfoBattery --pcmtabtimer=1';
            setValue = 'battery';
            setPrams = '--source=popwindow --pcmsourcetab=battery_setting --pcmtabname= --pcmtabtype=Service --pcmtabpage=setting';
            closeBigdata = 'OA5309';
        }
        if (obj[index] == 'diskspacefree') {
            title = JSON.parse(method_params).title;
            subtitle = JSON.parse(method_params).content;
            showBigdata = 'GC5101'
            clickBigdata = 'GC5102';
            clickPrams = '--source=popwindow --pcmsourcetab=c_insufficient --pcmtabname=clean --pcmtabpage=clean/bigfile';
            setValue = 'c_insufficient';
            setPrams = '--source=popwindow --pcmsourcetab=c_insufficient_setting --pcmtabname= --pcmtabtype=Service --pcmtabpage=setting';
            closeBigdata = 'GC5103';
        }
        if (obj[index] == 'cputhermal') {
            if (newindex>=0) {
                title = JSON.parse(method_params).title;
                subtitle = JSON.parse(method_params).content;
            } else {
                title = '当前电脑cpu温度达到 '+Object.values(JSON.parse(method_params))[0]+' ℃';
                subtitle = '快来给电脑降降温吧';
            }
            if (JSON.parse(method_params).funsupport) {//降温除尘
                clickPrams = '--source=popwindow --pcmsourcetab=cpu --pcmtabname=tools --pcmtabpage=tools/index --pcmtabparam=tools_coolclean --pcmtabtimer=1';
                commonPrams = [{ "key": "type", "value": "2" }];
            } else {//cpu二级页
                clickPrams = '--source=popwindow --pcmsourcetab=cpu --pcmtabname=home --pcmtabpage=home/index --pcmtabparam=DeviceinfoCPU --pcmtabtimer=1';
                commonPrams = [{ "key": "type", "value": "1" }];
            }
            showBigdata = 'OA5108'
            clickBigdata = 'OA5109';
            setValue = 'cpu';
            setPrams = '--source=popwindow --pcmsourcetab=cpu_setting --pcmtabname= --pcmtabtype=Service --pcmtabpage=setting';
            closeBigdata = 'OA5110';
        }
        $("#message").append(
            " <div> " +
            " <p class='center_title'>" + title + "</p>" +
            " <p class='center_f_title'>" +subtitle+ "</p>" +
            " </div> "
        )
        var popUp = '{ "category": "show", "action": "'+showBigdata+'", "data": '+JSON.stringify(commonPrams)+' }';
        CallNativeMethod('report_big_data', popUp);
    }
    return obj;
};