// 获取元素
var scale = 1;
var wrappic = document.querySelector("#wrappic");
var sBox = document.querySelector(".divMove");
// 获取小盒子的大小
var sbox_w = sBox.offsetWidth;
// document.addEventListener('mousewheel', function (e) {
//   e.preventDefault();
//   // e.stopPropagation();
// }, { passive: false });
//放大缩小
sBox.onwheel = function (e) {
  let params = '';
  if (e.wheelDelta > 0) {
    scale += 0.05;
    sBox.style.width = sbox_w * scale + 'px';
    params = 'big';
  } else {
    scale -= 0.05;
    if (scale <= 1) scale = 1;
    sBox.style.width = sbox_w * scale + 'px';
    params = 'lower';
  };
  reportBigdata({ category: 'show', action: 'SC3003', label: 'screencap', data: [{ key: 'pcm_version', value: pcmVersion }, { key: 'form', value: params }] })
}
sBox.onmousedown = e => {
  //鼠标按下那一刻，滚动条的位置
  let mouseDownScrollPosition = {
      scrollLeft: wrappic.scrollLeft,
      scrollTop: wrappic.scrollTop
  };
  //鼠标按下的位置坐标
  let mouseDownPoint = {
      x: e.clientX,
      y: e.clientY
  };
  sBox.onmousemove = e => {
      //鼠标滑动的实时距离
      let dragMoveDiff = {
          x: mouseDownPoint.x - e.clientX,
          y: mouseDownPoint.y - e.clientY
      };
      wrappic.scrollLeft = mouseDownScrollPosition.scrollLeft + dragMoveDiff.x;
      wrappic.scrollTop = mouseDownScrollPosition.scrollTop + dragMoveDiff.y;
  };
  document.onmouseup = e => {
      sBox.onmousemove = null;
      document.onmouseup = null;
      reportBigdata({ category: 'show', action: 'SC3003', label: 'screencap', data: [{ key: 'pcm_version', value: pcmVersion }, { key: 'form', value: 'move' }] })
  };
}